runner_version: v12.7.1

runner_global:
  concurrent: 500
  listen_address: 0.0.0.0:9402
  runners:
    - name: "ops-windows-runner"
      url: "https://ops.gitlab.net"
      executor: "custom"
      token: "{{ lookup('vars','ops_runner_token') }}"
      builds_dir: "C:\\GitLab-Runner\\builds"
      cache_dir: "C:\\GitLab-Runner\\cache"
      shell: "powershell"
      custom: &custom_opts
        config_exec: "C:\\GitLab-Runner\\autoscaler\\autoscaler.exe"
        config_args: ["--config", "C:\\GitLab-Runner\\autoscaler\\config.toml", "custom", "config"]
        prepare_exec: "C:\\GitLab-Runner\\autoscaler\\autoscaler.exe"
        prepare_args: ["--config", "C:\\GitLab-Runner\\autoscaler\\config.toml", "custom", "prepare"]
        run_exec: "C:\\GitLab-Runner\\autoscaler\\autoscaler.exe"
        run_args: ["--config", "C:\\GitLab-Runner\\autoscaler\\config.toml", "custom", "run"]
        cleanup_exec: "C:\\GitLab-Runner\\autoscaler\\autoscaler.exe"
        cleanup_args: ["--config", "C:\\GitLab-Runner\\autoscaler\\config.toml", "custom", "cleanup"]
    - name: "gstg-windows-runner"
      url: "https://staging.gitlab.com"
      executor: "custom"
      token: "{{ lookup('vars','gstg_runner_token') }}"
      builds_dir: "C:\\GitLab-Runner\\builds"
      cache_dir: "C:\\GitLab-Runner\\cache"
      shell: "powershell"
      custom:
        <<: *custom_opts
    - name: "windows-shared-runners-manager"
      url: "https://gitlab.com"
      executor: "custom"
      token: "{{ lookup('vars','gitlab_com_shared_token') }}"
      builds_dir: "C:\\GitLab-Runner\\builds"
      cache_dir: "C:\\GitLab-Runner\\cache"
      shell: "powershell"
      custom:
        <<: *custom_opts
      cache: &cache_opts
        Type: "gcs"
        Shared: true
        gcs:
          BucketName: "gitlab-com-windows-runner-cache"
          CredentialsFile: "C:\\GitLab-Runner\\service-account.json"

runner_autoscaler_image: "global/images/runners-windows-2019-core-containers-2020-02-25"
runner_autoscaler_project: "gitlab-ci-windows"
runner_autoscaler_tag: "wsrm"
runner_autoscaler_network: "windows-ci"
runner_autoscaler_subnet: "executor-subnet"
